dar_suite.hpp File Reference
CMDLINE

contains routine to manage CLI's common initialization and ultimate exception catching More...

`#include "../my_config.h"`
`#include "libdar.hpp"`
`#include <memory>`

Go to the source code of this file.

## Macros

#define | EXIT_OK 0
#define | EXIT_SYNTAX 1
#define | EXIT_ERROR 2
#define | EXIT_BUG 3
#define | EXIT_USER_ABORT 4
#define | EXIT_DATA_ERROR 5
#define | EXIT_SCRIPT_ERROR 6
#define | EXIT_LIBDAR 7
#define | EXIT_LIMITINT 8
#define | EXIT_UNKNOWN_ERROR 9
#define | EXIT_COMPILATION 10
#define | EXIT_SAVED_MODIFIED 11
#define | EXTENSION "dar"
#define | __VERSION__ "unknown"
| the compiler version MACRO More...
#define | CC_NAT "unknown"
| the compiler Nature MACRO More...

## Typedefs

using | cli_callback = S_I(*)(std::shared_ptr< user_interaction > &dialog, int, char *const[], const char **env)

## Functions

void | dar_suite_reset_signal_handler ()
int | dar_suite_global (int argc, char *const argv[], const char **env, const char *getopt_string, char stop_scan, cli_callback call)
| common routine for all dar command-line tools to initialize environment and convert uncaught exceptions to exit status code More...
std::string | dar_suite_command_line_features ()

## Detailed Description

contains routine to manage CLI's common initialization and ultimate exception catching

Definition in file dar_suite.hpp.

## Macro Definition Documentation

## __VERSION__

#define __VERSION__ "unknown"

the compiler version MACRO

Definition at line 58 of file dar_suite.hpp.

## CC_NAT

#define CC_NAT "unknown"

the compiler Nature MACRO

Definition at line 65 of file dar_suite.hpp.

## EXIT_BUG

#define EXIT_BUG 3

Definition at line 37 of file dar_suite.hpp.

## EXIT_COMPILATION

#define EXIT_COMPILATION 10

Definition at line 51 of file dar_suite.hpp.

## EXIT_DATA_ERROR

#define EXIT_DATA_ERROR 5

Definition at line 40 of file dar_suite.hpp.

## EXIT_ERROR

#define EXIT_ERROR 2

Definition at line 35 of file dar_suite.hpp.

## EXIT_LIBDAR

#define EXIT_LIBDAR 7

Definition at line 45 of file dar_suite.hpp.

## EXIT_LIMITINT

#define EXIT_LIMITINT 8

Definition at line 47 of file dar_suite.hpp.

## EXIT_OK

#define EXIT_OK 0

Definition at line 33 of file dar_suite.hpp.

## EXIT_SAVED_MODIFIED

#define EXIT_SAVED_MODIFIED 11

Definition at line 52 of file dar_suite.hpp.

## EXIT_SCRIPT_ERROR

#define EXIT_SCRIPT_ERROR 6

Definition at line 43 of file dar_suite.hpp.

## EXIT_SYNTAX

#define EXIT_SYNTAX 1

Definition at line 34 of file dar_suite.hpp.

## EXIT_UNKNOWN_ERROR

#define EXIT_UNKNOWN_ERROR 9

Definition at line 49 of file dar_suite.hpp.

## EXIT_USER_ABORT

#define EXIT_USER_ABORT 4

Definition at line 38 of file dar_suite.hpp.

## EXTENSION

#define EXTENSION "dar"

Definition at line 54 of file dar_suite.hpp.